View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001210aMuleSharedfilespublic2007-11-25 18:482008-02-21 16:51
Reporterkubrick 
Assigned ToXaignar 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in Version 
Summary0001210: amule can't read files with unicode-encoded name
DescriptionI'm using amule CVS 20071125. I donwloaded a file with an unicode character in it's name ( à " ï "), amule wrote it on the disc without problem but when it tries to read it I have the following error :

2007-11-25 18:36:50: Logger.cpp(268): Erreur : Failed to retrieve file times for 'XXXXX' (error 2: No such file or direcory)
2007-11-25 18:36:50: FileFunctions.cpp(187): FileIO: Error on GetLastModificationTime from `XXXXX'
2007-11-25 18:36:50: CFile.cpp(147): CFile: Error when opening file (XXXXXX): No such file or direcory

Renaming the file with non-unicode characters only solves the problem...
TagsNo tags attached.
Fixed in Revision
Operating SystemDebian etch amd64 ($LANG=fr_FR.UTF-8) with wxGTK 2.6.8 (with unicode support)
Attached Files

- Relationships
related to 0001113resolvedXaignar Not share files with special characters 

-  Notes
(0002572)
Xaignar (manager)
2008-02-17 02:08

I've done some work to fix this problem, so please test current SVN and report back if the issue has been resolved.
(0002603)
kubrick (reporter)
2008-02-18 22:13

Shure I will. I'm quite busy right now but I will do so in a few days.

Thanks for your time.
(0002604)
kubrick (reporter)
2008-02-19 10:03

It seems to work.

By the way, I gave a try to wxMac 2.8.7 and there's a strange bug. Not all headers where available in include/unix/ . I had to cp them manually from the build path for aMule to compile. I dunno if it's an aMule bug (using file it should not) or a wx bug (no copying all needed headers when "make install")('wouldn't be the first time hehe).

For your information, the missing grids bug is still here in 2.8.7 (0001165) so as the strange resize behaviour (0001159).

See ya
(0002618)
Xaignar (manager)
2008-02-21 16:51

Great. And thanks for giving us an update on those other problems.

Cheers.

- Issue History
Date Modified Username Field Change
2007-11-25 18:48 kubrick New Issue
2007-11-25 18:48 kubrick Operating System => Debian etch amd64 ($LANG=fr_FR.UTF-8) with wxGTK 2.6.8 (with unicode support)
2008-01-11 18:48 Xaignar Relationship added related to 0001113
2008-01-17 16:41 Xaignar Status new => acknowledged
2008-02-17 02:08 Xaignar Note Added: 0002572
2008-02-18 22:13 kubrick Note Added: 0002603
2008-02-19 10:03 kubrick Note Added: 0002604
2008-02-21 16:51 Xaignar Status acknowledged => resolved
2008-02-21 16:51 Xaignar Resolution open => fixed
2008-02-21 16:51 Xaignar Assigned To => Xaignar
2008-02-21 16:51 Xaignar Note Added: 0002618


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker